> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflow Instances

> List instances for a workflow, newest first.



## OpenAPI

````yaml get /api/v1/workflows/{workflow_id}/instances
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/workflows/{workflow_id}/instances:
    get:
      tags:
        - workflows
        - Workflows
      summary: List Workflow Instances
      description: List instances for a workflow, newest first.
      operationId: list_workflow_instances_api_v1_workflows__workflow_id__instances_get
      parameters:
        - name: workflow_id
          in: path
          required: true
          schema:
            type: string
            title: Workflow Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowInstanceListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WorkflowInstanceListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/WorkflowInstanceResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - total
      title: WorkflowInstanceListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowInstanceResponse:
      properties:
        id:
          type: string
          title: Id
        workflow_id:
          type: string
          title: Workflow Id
        account_id:
          type: string
          title: Account Id
        status:
          type: string
          title: Status
        current_step:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Step
        context:
          additionalProperties: true
          type: object
          title: Context
        started_at:
          type: string
          format: date-time
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        resume_job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Resume Job Id
      type: object
      required:
        - id
        - workflow_id
        - account_id
        - status
        - current_step
        - context
        - started_at
        - completed_at
        - error_message
        - resume_job_id
      title: WorkflowInstanceResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````